Page MenuHomeFreeBSD

Drop builtin float.h for amd64-gcc.
ClosedPublic

Authored by jhb on Jun 29 2018, 8:38 PM.

Details

Summary

GCC's builtin <float.h> header is not compatible with
sys/x86/include/float.h. Drop the builtin header for now. If at
some point GCC's notion of floating point constants for i386 can
converge with sys/x86/include/float.h this can be restored.

Test Plan
  • built recent world and ran into build failure in lib32 libm after --sysroot fixes

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Jun 29 2018, 8:38 PM
jhb updated this revision to Diff 45180.Jul 11 2018, 5:02 PM
  • Rework to explicitly remove this header so that this is check-plist friendly.
  • Bump portrevision.
cem added a subscriber: cem.Jul 13 2018, 11:48 PM
bapt accepted this revision.Jul 24 2018, 4:28 PM
This revision is now accepted and ready to land.Jul 24 2018, 4:28 PM
This revision was automatically updated to reflect the committed changes.